﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.DataSharingSearch
{
    public class GetOrderDetailDto
    {
        public string Id { get; set; }
    }

    public record GetOrderList : PagedRequest
    {
        /// <summary>
        /// 平台名称
        /// </summary>
        public string? SourceChannelCode { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string? Title { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string Mobile { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        public string AcceptTypeCode { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 区域ID
        /// </summary>
        public string? AreaCode { get; set; }
    }
}
